package be.iminds.ilabt.jfed.experimenter_gui.bugreporting;

import javax.xml.bind.annotation.XmlElement;
import java.util.List;

/**
 * User: twalcari
 * Date: 3/13/14
 * Time: 9:52 AM
 */
public class BRSlice {
    private final String sliceUrn;
    private final String status;

    private final List<BRSliver> slivers;

    public BRSlice(String sliceUrn, String status, List<BRSliver> slivers) {
        this.sliceUrn = sliceUrn;
        this.status = status;
        this.slivers = slivers;
    }

    public String getSliceUrn() {
        return sliceUrn;
    }


    public String getStatus() {
        return status;
    }

    //    @XmlElementWrapper(name = "slivers")
    @XmlElement(name = "sliver")
    public List<BRSliver> getSlivers() {
        return slivers;
    }

}
